import { OnInit, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import { FileService } from '../../service/file.service';
import { AngularFirestore } from '@angular/fire/firestore';
import { Post } from '../../interface/post';
import { UnsubscriptionService } from '../../service/unsubscription.service';
import { Titlebar } from '../../interface/titlebar';
export declare class FilesComponent implements OnInit, OnDestroy {
    private unsubscription;
    fileService: FileService;
    afs: AngularFirestore;
    isShowUploadArea: boolean;
    files: Observable<any>;
    titlebar: Titlebar;
    items: Observable<Post[] | {
        $key: string;
    }[]>;
    header: ({
        label: string;
        key: string;
        pipe?: undefined;
        pipeParameter?: undefined;
    } | {
        label: string;
        key: string;
        pipe: string;
        pipeParameter: {
            "keys": string[];
            "separator": string;
        };
    } | {
        label: string;
        key: string;
        pipe: string;
        pipeParameter: string;
    })[];
    constructor(unsubscription: UnsubscriptionService, fileService: FileService, afs: AngularFirestore);
    ngOnInit(): void;
    ngOnDestroy(): void;
    open(id: any): void;
}
