import { OnInit, ElementRef } from '@angular/core';
import { UnsubscriptionService } from '../../service/unsubscription.service';
import { FormGroup, FormBuilder } from '@angular/forms';
import { AngularFireAuth } from '@angular/fire/auth';
import { NzMessageService, NzNotificationService, UploadXHRArgs, UploadFile } from 'ng-zorro-antd';
import { AngularFireStorage } from '@angular/fire/storage';
import { AuthService } from '../../service/auth.service';
import { HelperService } from '../../service/helper.service';
import { AngularFirestore } from '@angular/fire/firestore';
import { Titlebar } from '../../interface/titlebar';
export declare class ProfileComponent implements OnInit {
    private unsubscription;
    private afAuth;
    private afs;
    private message;
    private storage;
    auth: AuthService;
    private fb;
    private notification;
    private helper;
    uploadButton: ElementRef;
    titlebar: Titlebar;
    showChangePassword: boolean;
    passwordForm: FormGroup;
    displayNameForm: FormGroup;
    isLoading: boolean;
    showDisplayName: boolean;
    profileURL: any;
    sub: any;
    constructor(unsubscription: UnsubscriptionService, afAuth: AngularFireAuth, afs: AngularFirestore, message: NzMessageService, storage: AngularFireStorage, auth: AuthService, fb: FormBuilder, notification: NzNotificationService, helper: HelperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initForm(): void;
    changePassword(): void;
    changeDisplayName(): void;
    beforeUpload: (file: UploadFile) => boolean;
    uploadProfilePic: (item: UploadXHRArgs) => import("rxjs").Subscription;
    getProfilePic(): {
        'background-image': string;
    } | {
        'background-image'?: undefined;
    };
    keyboardEvent(e: KeyboardEvent): void;
}
