import { OnInit, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { Font, CustomClass } from '../../interface/editor';
import { EditorService } from '../../service/editor.service';
import { NzMessageService } from 'ng-zorro-antd';
import { AngularFireStorage } from '@angular/fire/storage';
export declare class EditorToolbarComponent implements OnInit {
    private storage;
    private message;
    private _renderer;
    private editorService;
    private _document;
    id: string;
    htmlMode: boolean;
    showToolbar: boolean;
    block: string;
    defaultFontId: any;
    fontId: number;
    fontSize: string;
    fonts: Font[];
    customClassId: number;
    customClasses: CustomClass[];
    tagMap: {
        BLOCKQUOTE: string;
        A: string;
    };
    select: string[];
    buttons: string[];
    execute: EventEmitter<string>;
    myInputFile: ElementRef;
    constructor(storage: AngularFireStorage, message: NzMessageService, _renderer: Renderer2, editorService: EditorService, _document: any);
    ngOnInit(): void;
    triggerCommand(command: string): void;
    triggerButtons(): void;
    triggerBlocks(nodes: Node[]): void;
    insertUrl(): void;
    insertColor(color: string, where: string): void;
    setFontName(fontId: number): void;
    setFontSize(fontSize: string): void;
    setEditorMode(m: boolean): void;
    onFileChanged(event: any): boolean;
    fileReset(): void;
    setCustomClass(classId: number): void;
}
