import { OnInit, EventEmitter, Renderer2, AfterContentInit } from '@angular/core';
import { EditorService } from '../../service/editor.service';
import { EditorToolbarComponent } from '../editor-toolbar/editor-toolbar.component';
import { AngularEditorConfig } from '../../interface/editor';
import { ControlValueAccessor } from '@angular/forms';
export declare class EditorComponent implements OnInit, ControlValueAccessor, AfterContentInit {
    private _renderer;
    private editorService;
    private _document;
    private onChange;
    private onTouched;
    placeholder: boolean;
    modeVisual: boolean;
    showPlaceholder: boolean;
    id: string;
    config: AngularEditorConfig;
    textArea: any;
    editorWrapper: any;
    editorToolbar: EditorToolbarComponent;
    html: any;
    viewMode: EventEmitter<boolean>;
    blur: EventEmitter<string>;
    focus: EventEmitter<string>;
    constructor(_renderer: Renderer2, editorService: EditorService, _document: any);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    executeCommand(command: string): void;
    onTextAreaFocus(): void;
    onTextAreaBlur(event: FocusEvent): void;
    onEditorFocus(): void;
    onContentChange(html: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: any): void;
    refreshView(value: string): void;
    togglePlaceholder(value: boolean): void;
    setDisabledState(isDisabled: boolean): void;
    toggleEditorMode(bToSource: boolean): void;
    exec(): void;
}
