import { CustomClass } from '../interface/editor';
import { HttpClient } from '@angular/common/http';
export interface UploadResponse {
    imageUrl: string;
}
export declare class EditorService {
    private http;
    private _document;
    savedSelection: Range | null;
    selectedText: string;
    uploadUrl: string;
    constructor(http: HttpClient, _document: any);
    executeCommand(command: string): void;
    createLink(url: string): void;
    insertColor(color: string, where: string): void;
    setFontName(fontName: string): void;
    setFontSize(fontSize: string): void;
    /**
     * Create raw HTML
     * @param html HTML string
     */
    private insertHtml;
    saveSelection(): any;
    restoreSelection(): boolean;
    private checkSelection;
    insertImage(imageUrl: string): void;
    setDefaultParagraphSeparator(separator: string): void;
    createCustomClass(customClass: CustomClass): void;
}
